Package: org.gradle.plugins.ide.idea.model

## [Groovy] Class IdeaModuleIml

- org.gradle.plugins.ide.idea.model.IdeaModuleIml

- Models the generation/parsing/merging capabilities of an IDEA module.

  For examples, see docs for IdeaModule.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `File` | `generateTo` Folder where the *.iml file will be generated to

  - ### Constructor Summary

    Constructors
    Constructor and description
    `IdeaModuleIml (org.gradle.internal.xml.XmlTransformer xmlTransformer, File generateTo)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class XmlFileContentMerger` | `withXml`
    `class FileContentMerger` | `beforeMerged, whenMerged`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### File generateTo

      Folder where the *.iml file will be generated to

      For example see docs for IdeaModule

  - ### Constructor Detail

    - #### IdeaModuleIml(org.gradle.internal.xml.XmlTransformer xmlTransformer, File generateTo)